summaryrefslogtreecommitdiffstats
path: root/debian/comerr-dev.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:49:26 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:49:26 +0000
commit668f05d989d214c0a5201bc51982e932ff15f6a3 (patch)
tree31067fca0cd63c2a0fb2bd85798e5cb2ef0dec49 /debian/comerr-dev.postinst
parentAdding upstream version 1.47.0. (diff)
downloade2fsprogs-668f05d989d214c0a5201bc51982e932ff15f6a3.tar.xz
e2fsprogs-668f05d989d214c0a5201bc51982e932ff15f6a3.zip
Adding debian version 1.47.0-2.debian/1.47.0-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/comerr-dev.postinst')
-rw-r--r--debian/comerr-dev.postinst30
1 files changed, 30 insertions, 0 deletions
diff --git a/debian/comerr-dev.postinst b/debian/comerr-dev.postinst
new file mode 100644
index 0000000..aae743a
--- /dev/null
+++ b/debian/comerr-dev.postinst
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+# Abort on error.
+set -e
+
+symlink_match()
+{
+ local SYMLINK="$1"
+ local SYMLINK_TARGET="$2"
+
+ [ "$(readlink "$SYMLINK")" = "$SYMLINK_TARGET" ] || \
+ [ "$(readlink -f "$SYMLINK")" = "$SYMLINK_TARGET" ]
+}
+
+SYMLINK=/usr/share/doc/comerr-dev
+SYMLINK_TARGET=libcomerr2
+SYMLINK_TARGET2=libcom-err2
+
+if [ "$1" = "configure" ] && [ -h "${SYMLINK}.dpkg-backup" ]
+then
+ if symlink_match "${SYMLINK}.dpkg-backup" "$SYMLINK_TARGET" ||
+ symlink_match "${SYMLINK}.dpkg-backup" "$SYMLINK_TARGET2"
+ then
+ rm -f "${SYMLINK}.dpkg-backup"
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0